/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "SDK Guard", "index.html", [
    [ "Об SDK", "index.html", null ],
    [ "Введение", "md__home_gsa_Projects_SdkGuard_docs_introduction.html#introduction", [
      [ "Системные требования", "md__home_gsa_Projects_SdkGuard_docs_systemRequirements.html#systemRequirements", null ],
      [ "Что нового в SDK", "md__home_gsa_Projects_SdkGuard_docs_whatsNew.html#whatsNew", null ]
    ] ],
    [ "Установка", "md__home_gsa_Projects_SdkGuard_docs_installation.html#installation", null ],
    [ "Использование", "md__home_gsa_Projects_SdkGuard_docs_usage.html#usage", null ],
    [ "Учебник", "md__home_gsa_Projects_SdkGuard_docs_tutorial.html#tutorial", [
      [ "Термины", "md__home_gsa_Projects_SdkGuard_docs_terms.html#terms", null ],
      [ "Режимы подключения IP конвертера", "md__home_gsa_Projects_SdkGuard_docs_connection_modes.html#connection_modes", null ],
      [ "Лицензия", "md__home_gsa_Projects_SdkGuard_docs_converter_license.html#license", null ],
      [ "Времена замка", "md__home_gsa_Projects_SdkGuard_docs_lock_times.html#lock_times", null ],
      [ "Расписание", "md__home_gsa_Projects_SdkGuard_docs_schedule.html#schedule", null ],
      [ "Ключи", "md__home_gsa_Projects_SdkGuard_docs_keys.html#keys", null ],
      [ "События", "md__home_gsa_Projects_SdkGuard_docs_events.html#events", null ],
      [ "Режимы контроллера", "md__home_gsa_Projects_SdkGuard_docs_controller_modes.html#controller_modes", null ],
      [ "Электроконтроль", "md__home_gsa_Projects_SdkGuard_docs_electrocontrol.html#electrocontrol", null ],
      [ "Противопожарный режим", "md__home_gsa_Projects_SdkGuard_docs_fire_mode.html#fire_mode", null ],
      [ "Охранный режим", "md__home_gsa_Projects_SdkGuard_docs_security_mode.html#security_mode", null ],
      [ "Типы точек прохода", "md__home_gsa_Projects_SdkGuard_docs_pass_point_types.html#pass_point_types", null ]
    ] ],
    [ "Конвертеры", "md__home_gsa_Projects_SdkGuard_docs_converters.html#converters", [
      [ "Z-397 (мод. USB)/Z-397", "md__home_gsa_Projects_SdkGuard_docs_cvt_z397.html#z397", null ],
      [ "Z-397 (мод. USB Guard)/Z-397 Guard", "md__home_gsa_Projects_SdkGuard_docs_cvt_z397_guard.html#z397_guard", null ],
      [ "Z-397 IP", "md__home_gsa_Projects_SdkGuard_docs_cvt_z397_ip.html#z397_ip", null ],
      [ "Z-397 (мод. Web)", "md__home_gsa_Projects_SdkGuard_docs_cvt_z397_web.html#z397_web", null ]
    ] ],
    [ "Контроллеры", "md__home_gsa_Projects_SdkGuard_docs_controllers.html#controllers", [
      [ "Gate 2000", "md__home_gsa_Projects_SdkGuard_docs_ctr_gate2000.html#gate2000", null ],
      [ "Matrix-II (мод. E K Net) / Matrix-II Net", "md__home_gsa_Projects_SdkGuard_docs_ctr_matrix2_net.html#matrix2_net", null ],
      [ "Z-5R (мод. Net)", "md__home_gsa_Projects_SdkGuard_docs_ctr_z5r_net.html#z5r_net", null ],
      [ "Matrix-III (мод. MF K Net) / Matrix-III Net", "md__home_gsa_Projects_SdkGuard_docs_ctr_matrix3_net.html#matrix3_net", null ],
      [ "Guard (мод. Net)", "md__home_gsa_Projects_SdkGuard_docs_ctr_guard_net.html#guard_net", null ],
      [ "Z-5R (мод. Web)", "md__home_gsa_Projects_SdkGuard_docs_ctr_z5r_web.html#z5r_web", null ],
      [ "Matrix-II (мод. E K Wi-Fi) / Matrix-II Wi-Fi", "md__home_gsa_Projects_SdkGuard_docs_ctr_matrix2_wifi.html#matrix2_wifi", null ],
      [ "Z-Eurolock / Eurolock EHT net", "md__home_gsa_Projects_SdkGuard_docs_ctr_zeurolock.html#zeurolock", null ],
      [ "Z-9 EHT net v2", "md__home_gsa_Projects_SdkGuard_docs_ctr_z9_eht_net.html#ctr_z9_eht_net", null ],
      [ "Matrix-VI (мод. NFC K Net)", "md__home_gsa_Projects_SdkGuard_docs_ctr_matrix6_nfc_k_net.html#matrix6_nfc_k_net", null ],
      [ "Matrix-VI (мод. EH K Net)", "md__home_gsa_Projects_SdkGuard_docs_ctr_matrix6_eh_k_net.html#ctr_matrix6_eh_k_net", null ],
      [ "Z-5R (мод. Web BT)", "md__home_gsa_Projects_SdkGuard_docs_ctr_z5r_web_bt.html#ctr_z5r_web_bt", null ],
      [ "Z-5R (мод. Wi-Fi)", "md__home_gsa_Projects_SdkGuard_docs_ctr_z5r_wifi.html#ctr_z5r_wifi", null ],
      [ "Z-5R (мод. Net 16000)", "md__home_gsa_Projects_SdkGuard_docs_ctr_z5r_net16000.html#z5r_net16000", null ]
    ] ],
    [ "Группы", "modules.html", "modules" ],
    [ "Классы", "annotated.html", [
      [ "Классы", "annotated.html", "annotated_dup" ],
      [ "Алфавитный указатель классов", "classes.html", null ],
      [ "Иерархия классов", "hierarchy.html", "hierarchy" ],
      [ "Члены классов", "functions.html", [
        [ "Указатель", "functions.html", "functions_dup" ],
        [ "Функции", "functions_func.html", "functions_func" ],
        [ "Переменные", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Файлы", "files.html", [
      [ "Файлы", "files.html", "files_dup" ],
      [ "Список членов всех файлов", "globals.html", [
        [ "Указатель", "globals.html", "globals_dup" ],
        [ "Функции", "globals_func.html", null ],
        [ "Определения типов", "globals_type.html", null ],
        [ "Перечисления", "globals_enum.html", null ],
        [ "Элементы перечислений", "globals_eval.html", "globals_eval" ],
        [ "Макросы", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Примеры", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"functions_func_~.html",
"group__converter.html#gaf7fc08824e9023b22ae40181a4999bb1",
"ilguard_8h.html#afc93cc466c7d9f1d8f9fb219ddfcdd97a6928936684bbb06d4e790949c211742b",
"structilg__z5rnet__config.html#aa6bdc5cda2ebf153434d5270fe517929"
];

var SYNCONMSG = 'нажмите на выключить для синхронизации панелей';
var SYNCOFFMSG = 'нажмите на включить для синхронизации панелей';